package me.km.snuviscript.commands;

import me.hammerle.snuviscript.code.ScriptManager;
import me.km.snuviscript.SnuviLogger;

public class ErrorCommands {
    public static void registerFunctions(ScriptManager sm) {
        sm.registerConsumer("error.clear", (sc, in) -> {
            ((SnuviLogger) sm.getLogger()).getHistory().clear();
        });
        sm.registerFunction("error.getsize", (sc, in) -> {
            return (double) ((SnuviLogger) sm.getLogger()).getHistory().getLength();
        });
        sm.registerFunction("error.getindex", (sc, in) -> {
            return ((SnuviLogger) sm.getLogger()).getHistory().get(in[0].getInt(sc));
        });
        sm.registerConsumer("error.setconsoleprint", (sc, in) -> {
            ((SnuviLogger) sm.getLogger()).setConsoleLogging(in[0].getBoolean(sc));
        });
    }
}
